# Unweighted events
EVENT_GENERATION_MODE: W

# fix alpha_S and scales
ALPHAS(MZ): 0.118
ORDER_ALPHAS: 2
ALPHAS: {USE_PDF: 0}
SCALES: METS{max(16.,H_T2/4)}{max(16.,H_T2/4)}{max(16.,H_T2/4)}
SCALE_VARIATIONS: 4.0*
OUTPUT_ME_ONLY_VARIATIONS: false

# set up matrix elements generators and subtraction
ME_GENERATORS: [Comix, Amegic, OpenLoops]
NLO_SUBTRACTION_MODE: QCD+QED

# set up beams, spectrum, PDF and MPI settings
BEAMS: [-11, 2212]
BEAM_ENERGIES: [27.5, 920]
BEAM_SPECTRA: [EPA, Monochromatic]
PDF_LIBRARY: [SASGSherpa, LHAPDFSherpa]
MPI_PDF_LIBRARY: [SASGSherpa, LHAPDFSherpa]
PDF_SET: [SAS1M, PDF4LHC21_40_pdfas]
MPI_PDF_SET: [SAS1M, PDF4LHC21_40_pdfas]

EPA:
  Q2Max: 1

AMISIC:
  PT_0: 2.
  PT_Min: 1.2

# analysis
ANALYSIS: Rivet
RIVET:
  --analyses: ZEUS_2012_I1116258

# process specification: set b-quarks massive,
# specify phase space cut and define process
PARTICLE_DATA: {5: {Massive: true}}
PARTICLE_CONTAINERS:
  997:
    Name: B
    Flavours: [5, -5]

SELECTORS:
  - NJetFinder:
      N: 1
      PTMin: 13.0
      R: 1.0
      Exp: 1
      MassMax: 5.0

PROCESSES:
  - 93 93 -> (93,997) (93,997):
      Order: {QCD: 2, EW: 0} #< for leading order, delete all following lines
      NLO_Mode: MC@NLO
      NLO_Order: {QCD: 1, EW: 0}
      ME_Generator: Amegic
      RS_ME_Generator: Comix
      Loop_Generator: OpenLoops
